[regression] RadioTray won't launch without python-xdg & gir1.2-appindicator3-0.1

Bug #1557115 reported by Lonnie Lee Best on 2016-03-14
132
This bug affects 24 people
Affects Status Importance Assigned to Milestone
GTK+
Invalid
Undecided
Unassigned
One Hundred Papercuts
Medium
Unassigned
radiotray (Debian)
Invalid
Undecided
Unassigned
radiotray (Ubuntu)
Medium
Unassigned
Xenial
Medium
Unassigned

Bug Description

Although I've been previously running RadioTray in Ubuntu 16.04, it has recently become unlaunchable.

Typically when you launch RadioTray, an indicator appears on the top-right-panel (left of the clock), and you are able to select a radio-station to stream.

Now, when you launch it, nothing apparently happens.

************************************************************************
************************************************************************
This is a lack of dependencies by default:

Need adding depends to « python-xdg and gir1.2-appindicator3-0.1 »

note: as the latest ubuntu release now mainly use python3-xdg, radiotray should use it too, instead of the deprecated python-xdg package.

************************************************************************
************************************************************************

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: radiotray 0.7.3-5ubuntu1
ProcVersionSignature: Ubuntu 4.4.0-12.28-generic 4.4.4
Uname: Linux 4.4.0-12-generic x86_64
ApportVersion: 2.20-0ubuntu3
Architecture: amd64
CurrentDesktop: Unity
Date: Mon Mar 14 13:35:53 2016
InstallationDate: Installed on 2016-03-14 (0 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Alpha amd64 (20160307)
PackageArchitecture: all
SourcePackage: radiotray
UpgradeStatus: No upgrade log present (probably fresh install)

description: updated

When you run radiotray from the command line, you get the following error:

user@pc:~$ radiotray
/usr/lib/python2.7/dist-packages/radiotray/XmlDataProvider.py:23: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gtk
Traceback (most recent call last):
  File "/usr/bin/radiotray", line 12, in <module>
    os.chdir(workdir)
OSError: [Errno 2] No such file or directory: '/usr/bin/src'

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in radiotray (Ubuntu):
status: New → Confirmed
Changed in radiotray (Ubuntu):
importance: Undecided → Medium
Changed in hundredpapercuts:
status: New → Confirmed
importance: Undecided → Medium

Eugene San wrote to me:

I am using Ubuntu 16.04 and today installed the app from official repository and it started and working without any issues.

From details in bug report I see a couple of harmless warnings and an error.
The error might be due to the leftovers of an old instances of the app in your system or user profile.

Also you might want to purge and then reinstall the packages (this shouldn't affect your personal stations list):
1. dpkg --purge radiotray
2. Check ~/bin, /usr/bin, /usr/local/bin, /usr/share/, /usr/share/applications and /usr/lib/python2.7/dist-packages/ directories for radiotray related files and remove them
3 apt-get install radiotray

In case above doesn't help, please attach "radiotray.list" file generated by the following commands, after performing step 1 above:
$ find / -name "*radiotray*" > radiotray.list
$ which radiotray >> radiotray.list
$ echo $PATH >> radiotray.list

Download full text (3.3 KiB)

I tried the following commands to fix radiotray, but it is still broken:

sudo apt-get remove radiotray ; sudo rm -rf ~/.local/share/radiotray /usr/share/app-install/icons/radiotray.png /usr/share/app-install/desktop/radiotray:radiotray.desktop /var/cache/apt/archives/radiotray_0.7.3-5ubuntu1_all.deb ; sudo apt-get install radiotray

Here's the output of find / -name "*radiotray*"

/usr/lib/python2.7/dist-packages/radiotray-0.7.3.egg-info
/usr/lib/python2.7/dist-packages/radiotray
/usr/lib/python2.7/dist-packages/radiotray/radiotray_runner.pyc
/usr/lib/python2.7/dist-packages/radiotray/radiotray_runner.py
/usr/share/pixmaps/radiotray.png
/usr/share/applications/radiotray.desktop
/usr/share/man/man1/radiotray.1.gz
/usr/share/radiotray
/usr/share/radiotray/images/radiotray_off.png
/usr/share/radiotray/images/radiotray_on.png
/usr/share/radiotray/images/radiotray_connecting.png
/usr/share/radiotray/images/radiotray.png
/usr/share/radiotray/images/radiotray_connecting.gif
/usr/share/doc/radiotray
/usr/share/locale/nl/LC_MESSAGES/radiotray.mo
/usr/share/locale/es/LC_MESSAGES/radiotray.mo
/usr/share/locale/hu/LC_MESSAGES/radiotray.mo
/usr/share/locale/de/LC_MESSAGES/radiotray.mo
/usr/share/locale/sl/LC_MESSAGES/radiotray.mo
/usr/share/locale/lt/LC_MESSAGES/radiotray.mo
/usr/share/locale/bg/LC_MESSAGES/radiotray.mo
/usr/share/locale/hr/LC_MESSAGES/radiotray.mo
/usr/share/locale/si/LC_MESSAGES/radiotray.mo
/usr/share/locale/ko/LC_MESSAGES/radiotray.mo
/usr/share/locale/ru/LC_MESSAGES/radiotray.mo
/usr/share/locale/gl/LC_MESSAGES/radiotray.mo
/usr/share/locale/ro/LC_MESSAGES/radiotray.mo
/usr/share/locale/pt/LC_MESSAGES/radiotray.mo
/usr/share/locale/fr/LC_MESSAGES/radiotray.mo
/usr/share/locale/ar/LC_MESSAGES/radiotray.mo
/usr/share/locale/en_GB/LC_MESSAGES/radiotray.mo
/usr/share/locale/tr/LC_MESSAGES/radiotray.mo
/usr/share/locale/cs/LC_MESSAGES/radiotray.mo
/usr/share/locale/es_MX/LC_MESSAGES/radiotray.mo
/usr/share/locale/pt_BR/LC_MESSAGES/radiotray.mo
/usr/share/locale/it/LC_MESSAGES/radiotray.mo
/usr/share/locale/sk/LC_MESSAGES/radiotray.mo
/usr/share/locale/sv/LC_MESSAGES/radiotray.mo
/usr/share/locale/ja/LC_MESSAGES/radiotray.mo
/usr/share/locale/ca/LC_MESSAGES/radiotray.mo
/usr/share/locale/id/LC_MESSAGES/radiotray.mo
/usr/share/locale/he/LC_MESSAGES/radiotray.mo
/usr/share/locale/el/LC_MESSAGES/radiotray.mo
/usr/share/locale/te/LC_MESSAGES/radiotray.mo
/usr/share/locale/zh_TW/LC_MESSAGES/radiotray.mo
/usr/share/locale/uk/LC_MESSAGES/radiotray.mo
/usr/share/locale/fi/LC_MESSAGES/radiotray.mo
/usr/share/locale/gu/LC_MESSAGES/radiotray.mo
/usr/share/locale/zh_CN/LC_MESSAGES/radiotray.mo
/usr/share/locale/et/LC_MESSAGES/radiotray.mo
/usr/share/locale/pl/LC_MESSAGES/radiotray.mo
/usr/share/python/runtime.d/radiotray.rtupdate
/usr/bin/radiotray
/backup/.local/share/radiotray
/backup/.local/share/radiotray/radiotray.log
/var/lib/dpkg/info/radiotray.md5sums
/var/lib/dpkg/info/radiotray.list
/var/lib/dpkg/info/radiotray.prerm
/var/lib/dpkg/info/radiotray.postinst
/var/cache/apt/archives/radiotray_0.7.3-5ubuntu1_all.deb
find: ‘/run/user/1000/gvfs’: Permission denied

Here's the out put of which radiotray:

/usr/bin/radiotray

echo $PATH:
/home/user...

Read more...

The current error I'm get is:

** (radiotray:24057): WARNING **: Couldn't register with accessibility bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
/usr/lib/python2.7/dist-packages/radiotray/XmlDataProvider.py:23: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gtk
Traceback (most recent call last):
  File "/usr/bin/radiotray", line 12, in <module>
    os.chdir(workdir)
OSError: [Errno 2] No such file or directory: '/usr/bin/src'

Eugene San (eugenesan) wrote :

I suspect you aren't using correct package.
Can you please post output of the following:
apt-cache showpkg radiotray

apt-cache showpkg radiotray

Versions:
0.7.3-5ubuntu1 (/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_xenial_universe_binary-amd64_Packages) (/var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_xenial_universe_binary-i386_Packages) (/var/lib/dpkg/status)
 Description Language:
                 File: /var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_xenial_universe_binary-amd64_Packages
                  MD5: 6e2ed5df4a672386036e92ed281ed11e
 Description Language: en
                 File: /var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_xenial_universe_i18n_Translation-en
                  MD5: 6e2ed5df4a672386036e92ed281ed11e

Reverse Depends:
Dependencies:
0.7.3-5ubuntu1 - python (0 (null)) python:any (3 2.8) python:any (2 2.7.5-5~) gir1.2-gtk-3.0 (0 (null)) python-gi (0 (null)) gir1.2-notify-0.7 (0 (null)) gir1.2-keybinder-3.0 (0 (null)) python-gst-1.0 (2 1.0) python-glade2 (0 (null)) python-lxml (2 2.1.5) python-dbus (2 0.83.0) gstreamer1.0-plugins-base (2 1.0) gstreamer1.0-plugins-good (0 (null)) gstreamer1.0-plugins-ugly (0 (null)) gstreamer1.0-plugins-bad (0 (null)) python-appindicator (0 (null))
Provides:
0.7.3-5ubuntu1 -
Reverse Provides:

Martin Beeger (martin-beeger) wrote :

Fresh install on latest Xenial Version:

Manual Start gives this error:
pizzard@pizzard-PC:~$ radiotray
/usr/lib/python2.7/dist-packages/radiotray/XmlDataProvider.py:23: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gtk
Traceback (most recent call last):
  File "/usr/bin/radiotray", line 12, in <module>
    os.chdir(workdir)
OSError: [Errno 2] Datei oder Verzeichnis nicht gefunden: '/usr/bin/src'

Axel (nospamforaxel-1) wrote :

I guess the reason for that behavior is that in Xenial the package 'python-xdg' is not present by default.
Perhaps because in Xenial there is 'just' Python3 available per default?

The solution on my side is to install the package 'python-xdg'.
Then radiotray launches and works as expected.

So the global solution could be to change the program in order that 'python-xdg' is made available?!

That's just my two cents.

Enjoy Ubuntu and enjoy radiotray :-).

Alex10336 (ap10336) wrote :

Thanks Axel, install 'python-xdg' fix this bug for me too.

Thanks !

dino99 (9d9) on 2016-04-14
summary: - RadioTray won't launch
+ RadioTray won't launch without python-xdg
dino99 (9d9) on 2016-04-14
summary: - RadioTray won't launch without python-xdg
+ [regression] RadioTray won't launch without python-xdg
tags: added: regression-update
dino99 (9d9) on 2016-04-14
tags: added: regression-release
removed: regression-update

I too confirm that this fixed the issue:
sudo apt-get install python-xdg

So, it seems that if someone can add python-xdg as a dependency during (sudo apt-get install radiotray), the problem will be completely fixed for *everyone* who installs radiotray.

Changed in radiotray (Ubuntu):
status: Confirmed → Triaged
Swipe (swipe650) wrote :

I have python-xdg installed but I'm still getting the same error so it's not a a forgone conclusion that installing python-xdg as a dependency of radiotray will fix the issue;

swipe@Nuc:~$ sudo apt install python-xdg
Reading package lists... Done
Building dependency tree
Reading state information... Done
python-xdg is already the newest version (0.25-4).

swipe@Nuc:~$ radiotray
/usr/lib/python2.7/dist-packages/radiotray/XmlDataProvider.py:23: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gtk
/usr/lib/python2.7/dist-packages/radiotray/AudioPlayerGStreamer.py:64: FutureWarning: The behavior of this method will change in future versions. Use specific 'len(elem)' or 'elem is not None' test instead.
  if(cfg_provider._settingExists("buffer_size")):
Sleep Timer, Stops playing after a predefined time, SleepTimerPlugin.py, Carlos Ribeiro
StationSwitcher, Allows cycling through stations, StationSwitcherPlugin.py, Mark F
HelloWorld, This is a test plugin, HelloWorld.py, Carlos Ribeiro
started
Notifications, Shows message notifications on the desktop, NotificationPlugin.py, Carlos Ribeiro
/usr/share/radiotray/plugins/NotificationPlugin.py:25: PyGIWarning: Notify was imported without specifying a version first. Use gi.require_version('Notify', '0.7') before import to ensure that the right version gets loaded.
  from gi.repository import Notify
Mate Media Keys, Controls Radio Tray through keyboard multimedia keys, MateMediaKeysPlugin.py, Ken
Gnome Media Keys, Controls Radio Tray through keyboard multimedia keys, GnomeMediaKeysPlugin.py, Carlos Ribeiro
History, Shows song history, HistoryPlugin.py, Carlos Ribeiro

Swipe (swipe650) wrote :

Please see attached my radiotray.list output

Martin Beeger (martin-beeger) wrote :

I have to point out that the error message you have differs from the one I got and for me installing python-xdg fixed to problem.
So I suppose you miss another dependeny package we did.

python-xdg is still a necessary dependency, it just may not be sufficient in your case.

Swipe (swipe650) wrote :

Hi Martin, how can I find out what other dependency is missing?

When I run radiotray from the terminal I get the same output as you. The icon loads in the systray and it works fine for me.

Swipe (swipe650) wrote :

I get a black icon in the tray and left or right clicking does nothing;

http://imgur.com/vr3JtDa

I just did a fresh install of Ubuntu 16.04 (for other reasons). Again, radio tray would not launch, but (again) it launched fine after this:
sudo apt-get install python-xdg

Screenshot:
http://neartalk.com/ss/2016-04-24_001_1121x888.png

I can't understand why you're getting that black icon. Are you using the Unity desktop?

Daniel (hackie) wrote :
Download full text (4.3 KiB)

Here my two cents, inspired by the Debian bug https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=801232 which is not necessarily the same thing but mentions a nice debug command: "from radiotray import radiotray_runner" (see below)

[HACK] So the hack is clearly installing apt-get install python-xdg
[SOLUTION] The solution is adding python-xdg to Depends

[CROSS-LINK] Btw the bug is very similar to Bug 55179

I have two machines: one was upgraded from wily to xenial, there the problem didn't appear as the package was already installed. Only on a fresh xenial installation the problem appeared. My flavour is Xubuntu, it's possible that Ubuntu flavour already contains the missing package.

me$ radiotray
/usr/lib/python2.7/dist-packages/radiotray/XmlDataProvider.py:23: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gtk
Traceback (most recent call last):
  File "/usr/bin/radiotray", line 12, in <module>
    os.chdir(workdir)
OSError: [Errno 2] No such file or directory: '/usr/bin/src'

me$ python
Python 2.7.11+ (default, Apr 17 2016, 14:00:29)
[GCC 5.3.1 20160413] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> from radiotray import radiotray_runner
/usr/lib/python2.7/dist-packages/radiotray/XmlDataProvider.py:23: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gtk
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.7/dist-packages/radiotray/radiotray_runner.py", line 6, in <module>
    from RadioTray import RadioTray
  File "/usr/lib/python2.7/dist-packages/radiotray/RadioTray.py", line 22, in <module>
    from AudioPlayerGStreamer import AudioPlayerGStreamer
  File "/usr/lib/python2.7/dist-packages/radiotray/AudioPlayerGStreamer.py", line 36, in <module>
    from StreamDecoder import StreamDecoder
  File "/usr/lib/python2.7/dist-packages/radiotray/StreamDecoder.py", line 21, in <module>
    from lib.common import USER_AGENT
  File "/usr/lib/python2.7/dist-packages/radiotray/lib/common.py", line 5, in <module>
    from xdg.BaseDirectory import xdg_data_home
ImportError: No module named xdg.BaseDirectory
>>> quit()

me$ apt-get install python-xdg
E: Could not open lock file /var/lib/dpkg/lock - open (13: Permission denied)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?
me$ sudo apt-get install python-xdg
[sudo] password for daniel:
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed:
  python-xdg
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 31.4 kB of archives.
After this operation, 184 kB of additional disk space will be used.
Get:1 http://ch.archive.ubuntu.com/ubuntu xenial/universe amd64 python-xdg all 0.25-4 [31.4 kB]
Fetched 31.4 kB in 0s (131 kB/s)
Selecting previously unselected package python-xdg.
(Reading database ... 175769...

Read more...

Daniel (hackie) wrote :

Correction:

The bug is NOT very similar to Bug 55179, it is very similar to Question 55179 (it's confusing that a bug and a question with the same ID can exist...)

Daniel (hackie) wrote :

Damn. Live is not easy, and an edit button doesn't exist on launchpad. Here is the Link: https://answers.launchpad.net/gwibber/+question/55179 (Question 55179)

Reuben Firmin (reubenf) wrote :

Same issue as above; I installed python-xdg, which gets radiotray further, but I don't get an icon in the notification area.

dino99 (9d9) wrote :

maybe check that gir1.2-appindicator3.01 is installed too

Alex10336 (ap10336) wrote :

Fresh Install of « Kubuntu 16.04 »
* Same bug
* Install python-xdg
* radiotray start, but black not usable icon
* install gir1.2-appindicator3.01
* radiotray start, and fully working.

Need add depends to « python-xdg and gir1.2-appindicator3.01 »

Changed in radiotray (Debian):
status: Unknown → New
dino99 (9d9) on 2016-05-04
description: updated
description: updated
dino99 (9d9) on 2016-05-04
Changed in gtk:
status: New → Invalid
summary: - [regression] RadioTray won't launch without python-xdg
+ [regression] RadioTray won't launch without python-xdg &
+ gir1.2-appindicator3.01

gir1.2-appindicator3-0.1 is the correct name for the package gir1.2-appindicator3.01. On my system, it was already installed

me$ dpkg -l gir1.2-appindicator3-0.1
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-===========================-==================-==================-============================================================
ii gir1.2-appindicator3-0.1 12.10.1+15.04.2014 amd64 Typelib files for libappindicator3-1.

dino99 (9d9) on 2016-05-04
summary: [regression] RadioTray won't launch without python-xdg &
- gir1.2-appindicator3.01
+ gir1.2-appindicator3-0.1
description: updated

There's still a problem: ogg-streams halt after a couple of minutes.

Check these out:

http://stream-dc1.radioparadise.com/rp_192m.ogg

http://streaming.domainepublic.net:8000/radiopanik.ogg

New 16.04 install. Ogg-streams used to play fine in 14.04

dino99 (9d9) wrote :

@Stephen

I have tested your both links above with a gnome-shell session 64 bits:
- works as expected: each 3 minutes song is played, a short silence, then the next song is played
- my system have these libs installed: libogg0 & libshout3

I recently had an issue with the radiotray load (maybe due to some broken installation links); so i've purged (sudo apt-get purge radiotray) and then reinstalled it. Since it play as expected.

Thanks for your quick work on my problem, dino99.

I, too, have libogg0 & libshout3 installed (on a 32-bit system). I purged and re-installed radiotray, as suggested, but my ogg streams are still halting.

I notice that the ap doesn't shut down smoothly either: the radiotray icon disappears from the top panel leaving a momentary "hole". I think I'm still a package missing. When I re-installed radiotray, apt put-up these "suggestions".

python-dbus-doc python-dbus-dbg python-gi-cairo python-gtk2-doc
python-genshi python-lxml-dbg python-lxml-doc

would any of them do any good?

There is a (pretty incomprehensible to me) radiotray log, and I suppose I could run it "verbose" mode from a terminal. Would that help?

Of course, there is a simple workaround - just listen to mp3 streams. But the sound quality is not as good.

HELP!, HELP!, HELP!

(me again) I ran ran RT from a terminal, and got this:

azed@azed-N110:~$ radiotray --help-all
/usr/lib/python2.7/dist-packages/radiotray/XmlDataProvider.py:23: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gtk
Trying to load URL: --help-all
/usr/lib/python2.7/dist-packages/radiotray/AudioPlayerGStreamer.py:64: FutureWarning: The behavior of this method will change in future versions. Use specific 'len(elem)' or 'elem is not None' test instead.
  if(cfg_provider._settingExists("buffer_size")):
/usr/lib/python2.7/dist-packages/radiotray/SysTray.py:100: PyGIWarning: AppIndicator3 was imported without specifying a version first. Use gi.require_version('AppIndicator3', '0.1') before import to ensure that the right version gets loaded.
  from gi.repository import AppIndicator3
Sleep Timer, Stops playing after a predefined time, SleepTimerPlugin.py, Carlos Ribeiro
StationSwitcher, Allows cycling through stations, StationSwitcherPlugin.py, Mark F
HelloWorld, This is a test plugin, HelloWorld.py, Carlos Ribeiro
started
Notifications, Shows message notifications on the desktop, NotificationPlugin.py, Carlos Ribeiro
/usr/share/radiotray/plugins/NotificationPlugin.py:25: PyGIWarning: Notify was imported without specifying a version first. Use gi.require_version('Notify', '0.7') before import to ensure that the right version gets loaded.
  from gi.repository import Notify
Mate Media Keys, Controls Radio Tray through keyboard multimedia keys, MateMediaKeysPlugin.py, Ken
Gnome Media Keys, Controls Radio Tray through keyboard multimedia keys, GnomeMediaKeysPlugin.py, Carlos Ribeiro
History, Shows song history, HistoryPlugin.py, Carlos Ribeiro
azed@azed-N110:~$

[The ap, when it loaded, seemed to want to play a stream, but "locked-up"]

It seems to me that some files need editing here, but what do I edit and how?

Advice from the grey-beards of Ubuntuland very gratefully received

dino99 (9d9) wrote :

@Stephen

dont worry, its only warnings due to some new libs now used on the system, but still not updated inside radiotray (so those scary messages, but they are harmless). Hopes someone will rebuild radiotray and drop it into a ppa soon.

If you get real problem, then watch logs to find something related & usefull

Download full text (18.9 KiB)

Thanks for the quick (and reassuring) reply, 9d9

For completeness' sake, and possibly to advance the growth of knowledge, here's the complete log of a failed ogg-session:

2016-05-12 12:46:18,583 - DEBUG - Loading configuration...
2016-05-12 12:46:18,585 - INFO - Starting Radio Tray...
2016-05-12 12:46:18,586 - INFO - Loading bookmarks file: /home/azed/.local/share/radiotray/bookmarks.xml
2016-05-12 12:46:18,590 - DEBUG - Bookmarks file loaded with success
2016-05-12 12:46:18,596 - DEBUG - PLS playlist decoder
2016-05-12 12:46:18,597 - DEBUG - M3U playlist decoder
2016-05-12 12:46:18,598 - DEBUG - ASX-familiy playlist decoder
2016-05-12 12:46:18,598 - DEBUG - XSPF playlist decoder
2016-05-12 12:46:18,599 - DEBUG - Initializing ASF playlist decoder
2016-05-12 12:46:18,601 - DEBUG - RAM playlist decoder
2016-05-12 12:46:18,602 - INFO - Using url timeout = 100
2016-05-12 12:46:18,602 - DEBUG - Initializing gstreamer...
2016-05-12 12:46:18,685 - DEBUG - Loading playbin...
2016-05-12 12:46:18,797 - DEBUG - GStreamer initialized.
2016-05-12 12:46:18,799 - DEBUG - Tooltip manager initialized.
2016-05-12 12:46:18,805 - DEBUG - App Indicator selected
2016-05-12 12:46:19,282 - DEBUG - GUI initialized
2016-05-12 12:46:19,294 - INFO - finding plugins in user plugin path
2016-05-12 12:46:19,296 - INFO - finding plugins in system plugin path
2016-05-12 12:46:19,297 - DEBUG - /usr/share/radiotray/plugins/history.plugin
2016-05-12 12:46:19,302 - DEBUG - /usr/share/radiotray/plugins/gnomemediakeys.plugin
2016-05-12 12:46:19,303 - DEBUG - /usr/share/radiotray/plugins/notification.plugin
2016-05-12 12:46:19,305 - DEBUG - /usr/share/radiotray/plugins/StationSwitcher.plugin
2016-05-12 12:46:19,306 - DEBUG - /usr/share/radiotray/plugins/helloworld.plugin
2016-05-12 12:46:19,308 - DEBUG - /usr/share/radiotray/plugins/sleeptimer.plugin
2016-05-12 12:46:19,309 - DEBUG - /usr/share/radiotray/plugins/matemediakeys.plugin
2016-05-12 12:46:29,310 - DEBUG - Request to play
2016-05-12 12:46:29,312 - DEBUG - connecting
2016-05-12 12:46:29,322 - INFO - Requesting stream... http://stream-dc1.radioparadise.com/rp_192m.ogg
2016-05-12 12:46:29,712 - DEBUG - Metadata obtained...
2016-05-12 12:46:29,713 - INFO - Content-Type: application/ogg
2016-05-12 12:46:29,715 - INFO - Checking decoder
2016-05-12 12:46:29,716 - INFO - Checking decoder
2016-05-12 12:46:29,717 - INFO - Checking decoder
2016-05-12 12:46:29,718 - INFO - Checking decoder
2016-05-12 12:46:29,719 - INFO - Checking decoder
2016-05-12 12:46:29,720 - INFO - Checking decoder
2016-05-12 12:46:29,721 - INFO - No playlist decoder could handle the stream. Maybe direct stream...
2016-05-12 12:46:29,722 - INFO - Play "http://stream-dc1.radioparadise.com/rp_192m.ogg"
2016-05-12 12:46:29,723 - INFO - Requesting stream... http://stream-dc1.radioparadise.com/rp_192m.ogg
2016-05-12 12:46:29,986 - DEBUG - Metadata obtained...
2016-05-12 12:46:29,987 - INFO - Content-Type: application/ogg
2016-05-12 12:46:29,988 - INFO - Checking decoder
2016-05-12 12:46:29,989 - INFO - Checking decoder
2016-05-12 12:46:29,990 - INFO - Checking decoder
2016-05-12 12:46:29,991 - INFO - Checking decoder
2016-05-12 12:46:29,992 - INFO - Checking decod...

I don't understand why this bug is still not fixed. The fix is simple: just make python-xdg a radiotray dependency, so that, when you install radiotray, it also installs python-xdg automatically. Done!

dino99 (9d9) wrote :

From: Elías Alejandro <email address hidden>
To: <email address hidden>
Subject: Closed bug: radiotray wont start
Date: Wed, 6 Jul 2016 10:50:17 -0500
Hi,
I'm closing this bug, since it seems was already fixed.
If you have new reasons to point out this
problem, please feel free to re-open it or ask me to do it.

Regards,

--
Elías Alejandro

Changed in radiotray (Debian):
importance: Unknown → Undecided
status: New → Invalid
dino99 (9d9) wrote :

That now means it is an ubuntu packaging issue (as debian maintainer suggests)

dino99 (9d9) on 2016-07-19
description: updated
Motosauro (motosauro) wrote :

This bug is still valid:
I just installed radiotray on a clean 16.04 install
Radiotray was not launching and installing python-xdg manually fixed it

0.7.3 is still broken - unfortunately radiotray is not under active development so no migration path is available :-(

dino99 (9d9) wrote :

At least yakkety got some updates:

radiotray (0.7.3-6ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/use-appindicators.patch: Patch config to use appindicator
      by default.
    - debian/control: Depend on python-appindicator.

 -- Gianfranco Costamagna <email address hidden> Mon, 22 Aug 2016 12:29:45 +0200

radiotray (0.7.3-6) unstable; urgency=medium

  * debian/control
    + Add python-xdg dependency (Closes: #814628)
    + Bump Standards-Version to 3.9.8

 -- Elías Alejandro Año Mendoza <email address hidden> Mon, 04 Jul 2016 21:19:03 -0500

Changed in radiotray (Ubuntu):
status: Triaged → Fix Released
Leszek Lesner (leszek-lesner) wrote :

Only works for me (without an icon but just an empty space in tray) on plasma 5 after installing these packages:
gir1.2-appindicator3-0.1 gir1.2-appindicator-0.1 libappindicator1 libappindicator3-1 python-appindicator

tc7 (tc7) wrote :

Works for me again after installing python-xdg as suggested by Axel above.

Jurien (f-dreumel) wrote :

changed settings see attachments
gksudo xed ~/.local/share/radiotray/config.xml

activate systray as a helper application

Motosauro (motosauro) wrote :

installing python-xdg fixed this for me as well

dino99 (9d9) on 2018-04-06
Changed in hundredpapercuts:
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.